<template>
  <div id="container">
    <table striped hover>
      <tr>
        <td width="300px" class="property">Dataset</td>
        <td>{{ datasetData.label }}</td>
      </tr>
      <tr>
        <td class="property">Short Description</td>
        <td>{{ datasetData.short_description }}</td>
      </tr>
      <tr>
        <td class="property">Description</td>
        <td>{{ datasetData.description }}</td>
      </tr>
      <tr>
        <td class="property">Use Case</td>
        <td>
          <a :href="datasetData.use_case" target="_blank">{{
            datasetData.use_case
          }}</a>
        </td>
      </tr>
      <tr>
        <td class="property">Dataset Owner</td>
        <td>{{ datasetData.dataset_owner }}</td>
      </tr>
      <tr>
        <td class="property">Dataset Acces Manager</td>
        <td>{{ datasetData.dataset_access_manager }}</td>
      </tr>
      <tr>
        <td class="property">Documentation</td>
        <td>
          <a :href="datasetData.documentation" target="_blank">{{
            datasetData.documentation
          }}</a>
        </td>
      </tr>
    </table>
  </div>
</template>

<script>
export default {
  layout: 'dashboard',
  data() {
    return {
      datasetData: {
        id: this.$nuxt.$route.params.id,
        label: '',
        description: '',
        keywords: '',
        use_case: '',
        dataset_owner: '',
        dataset_access_manager: '',
        short_description: '',
        documentation: '',
      },
    };
  },
  async fetch() {
    this.datasetData = await this.$nuxt.context.store.dispatch(
      'access_request/fetchDataset',
      { datasetId: this.datasetData.id }
    );
  },
};
</script>

<style scoped>
table tr td {
  vertical-align: top;
  padding: 5px;
}

table tr:nth-child(odd) {
  background: #ccc;
}
.property {
  font-weight: bold;
}
</style>
